'use strict';

// VENDOR LIBS
const gulp = require('gulp');
const runSequence = require('run-sequence');
const config = require('../config');

gulp.task('default', ['clean'], function(cb) {
    let stream;
    let uiTasks = ['sass', 'html', 'images', 'js-build', 'fonts', 'copy-icons'];

    global.production = false;

    if (config.server) {
        stream = runSequence('server', uiTasks, 'watch', cb);
    } else {
        stream = runSequence(uiTasks, 'watch', cb);
    }

    return stream;
});